This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 169799 - /dev entries for compact flash card disappear
/dev entries for compact flash card disappear
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Cox
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-03 14:32 EDT by Darren Humphrey
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-27 18:55:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darren Humphrey 2005-10-03 14:32:01 EDT
Description of problem:

I am trying to format a partition on a compact flash card installed with an IDE 
compact flash adapter.  The card is partitioned with two partitions.  Fdisk 
shows that the partitions exists.  ls of /dev shows /dev/hdd, /dev/hdd1 
and /dev/hdd2.   Running mkfs.ext2 fails.  Further list of /dev shows 
that /dev/hdd1 and /dev/hdd2 have disappeared.  They later (30 - 60 seconds 
later) reappear.

Here's a transcript of the session:


# fdisk /dev/hdd

The number of cylinders for this disk is set to 4065.
There is nothing wrong with that, but this is larger than 1024,
and could in certain setups cause problems with:
1) software that runs at boot time (e.g., old versions of LILO)
2) booting and partitioning software from other OSs
   (e.g., DOS FDISK, OS/2 FDISK)

Command (m for help): p

Disk /dev/hdd: 2097 MB, 2097930240 bytes
16 heads, 63 sectors/track, 4065 cylinders
Units = cylinders of 1008 * 512 = 516096 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hdd1   *           1         500      251968+  83  Linux
/dev/hdd2             501        4065     1796760   83  Linux


# ls -la /dev/hdd*
brw-r-----  1 root disk 22, 64 Sep 30 14:31 /dev/hdd
brw-r-----  1 root disk 22, 65 Oct  3 13:46 /dev/hdd1
brw-r-----  1 root disk 22, 66 Oct  3 13:46 /dev/hdd2
# mkfs.ext2 /dev/hdd1
mke2fs 1.38 (30-Jun-2005)
/dev/hdd1: No such file or directory while setting up superblock
# ls -la /dev/hdd*
brw-r-----  1 root disk 22, 64 Sep 30 14:31 /dev/hdd
Comment 1 Dave Jones 2005-11-10 14:01:14 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 2 Dave Jones 2005-12-27 18:55:17 EST
I just tried to reproduce this with a usb flash card reader, and it did the
right thing. On creation of a new partition, a /dev node appeared, and when I
deleted a partition, it went away.  I'm going to close this as fixed in the
current updates.

If it's still a problem for you, please reopen.

Note You need to log in before you can comment on or make changes to this bug.